Modifying trouble tickets

To modify a trouble ticket, use the following endpoint:

  • PATCH /billing/v1/trouble-tickets/{troubleTicketId}

You can only modify an open trouble ticket. Closed tickets cannot be edited.

Modifiable fields

The following fields can be modified on a trouble ticket:

  • title – The short summary of the issue.
  • ticketType – The category of the issue. Valid codes: dispute, processingerror, customercomplaint, customerquestion, reporterror, disasterhold, automatic.
  • priority – The urgency. Valid codes: urgent, high, normal, low.
  • detailedDescription – The narrative description.
  • escalationDate – The escalation date. Set to null to clear.
  • targetDate – The target resolution date. Set to null to clear.
Note: Assignment cannot be changed via PATCH. Use the /assign custom action to reassign a trouble ticket. See Assigning a trouble ticket.

Example of modifying a trouble ticket

The following example updates the title, priority, and ticket type of a trouble ticket.

Command
PATCH /billing/v1/trouble-tickets/bc:301

Request body

{
  "data": {
    "attributes": {
      "detailedDescription": "Updated description after further investigation.",
      "escalationDate": "2026-04-01T00:00:00.000Z",
      "priority": {
        "code": "high"
      },
      "targetDate": "2026-04-15T00:00:00.000Z",
      "ticketType": {
        "code": "processingerror"
      },
      "title": "Processing error on renewal invoice"
    }
  }
}

Response

{
    "data": {
        "attributes": {
            "assignedByUser": {
                "displayName": "Super User",
                "id": "default_data:1",
                "type": "User",
                "uri": "/admin/v1/users/default_data:1"
            },
            "assignedGroup": {
                "displayName": "Default Root Group",
                "id": "systemTables:1",
                "type": "Group",
                "uri": "/admin/v1/groups/systemTables:1"
            },
            "assignedUser": {
                "displayName": "Super User",
                "id": "default_data:1",
                "type": "User",
                "uri": "/admin/v1/users/default_data:1"
            },
            "assignmentDate": "2026-05-11T18:29:34.522Z",
            "assignmentStatus": {
                "code": "assigned",
                "name": "Assigned"
            },
            "createTime": "2026-05-11T18:29:34.522Z",
            "createUser": {
                "displayName": "Super User",
                "id": "default_data:1",
                "type": "User",
                "uri": "/admin/v1/users/default_data:1"
            },
            "detailedDescription": "Updated description after further investigation.",
            "escalated": false,
            "escalationDate": "2026-04-01T00:00:00.000Z",
            "id": "bc:SOUvqaXuObGLR9VFhS9gA",
            "priority": {
                "code": "high",
                "name": "High"
            },
            "targetDate": "2026-04-15T00:00:00.000Z",
            "ticketStatus": "Open",
            "ticketType": {
                "code": "processingerror",
                "name": "Processing Error"
            },
            "title": "Processing error on renewal invoice",
            "troubleTicketNumber": "1000000001"
        },
    }
}